<?php

include '../../../script/conexion.php';

$id_pedido = $_POST['edit_id_pedido'];
$referencia_producto = $_POST['edit_referencia_producto'];
$referencia_producto_new = $_POST['edit_referencia_producto_new'];

$sqlt = "SELECT * FROM alm_pedido WHERE id='$id_pedido'";
$queryt = $conn->query($sqlt);
$rowt = $queryt->fetch_assoc();

if (isset($_POST['editar'])) {

    $sqlt1 = "SELECT * FROM alm_pedido_detalle WHERE id_pedido='$id_pedido' AND referencia_producto='$referencia_producto' GROUP BY talla ORDER BY talla asc";
    $queryt1 = $conn->query($sqlt1);
    if ($queryt1->num_rows > 0) {
        while ($rowt1 = $queryt1->fetch_assoc()) {

            $talla = $rowt1['talla'];

            $sql = "UPDATE alm_pedido_detalle SET referencia_producto='$referencia_producto_new' WHERE id_pedido='$id_pedido' AND referencia_producto='$referencia_producto' AND talla='$talla'";
            if ($conn->query($sql) === TRUE) {

//REFERENCIA VIEJA
                $class_referencia = $referencia_producto;
                $class_talla = $talla;

                include '../../../clases/class-referencia.php';

                $class_nombre_tercero_cierre = $rowt['nombre_tercero'];
                $class_referencia_cierre = $referencia_producto;
                $class_talla_cierre = $talla;

                include '../../../clases/class-cierre.php';

                //REFERENCIA_NUEVA
                $class_referencia = $referencia_producto_new;
                $class_talla = $talla;

                include '../../../clases/class-referencia.php';

                $class_nombre_tercero_cierre = $rowt['nombre_tercero'];
                $class_referencia_cierre = $referencia_producto_new;
                $class_talla_cierre = $talla;

                include '../../../clases/class-cierre.php';
            } else {
                echo "Error: " . $sql . "<br>" . $conn->error;
            }
        }
    }



    echo '<script language = javascript>
                    self.location = "../pedido-detalle.php?id_pedido=' . $id_pedido . '"
                </script>';
} elseif (isset($_POST['eliminar'])) {


    $sqlt1 = "SELECT * FROM alm_pedido_detalle WHERE id_pedido='$id_pedido' AND referencia_producto='$referencia_producto' GROUP BY talla ORDER BY talla asc";
    $queryt1 = $conn->query($sqlt1);
    if ($queryt1->num_rows > 0) {
        while ($rowt1 = $queryt1->fetch_assoc()) {

            $talla = $rowt1['talla'];

            $sql = "DELETE FROM alm_pedido_detalle WHERE id_pedido='$id_pedido' AND referencia_producto='$referencia_producto' AND talla='$talla'";
            if ($conn->query($sql) === TRUE) {
                //REFERENCIA VIEJA
                $class_referencia = $referencia_producto;
                $class_talla = $talla;

                include '../../../clases/class-referencia.php';

                $class_nombre_tercero_cierre = $rowt['nombre_tercero'];
                $class_referencia_cierre = $referencia_producto;
                $class_talla_cierre = $talla;

                include '../../../clases/class-cierre.php';
            } else {
                echo "Error: " . $sql . "<br>" . $conn->error;
            }
        }
    }


    echo '<script language = javascript>
                    self.location = "../pedido-detalle.php?id_pedido=' . $id_pedido . '"
                </script>';
} else {
    echo "error";
}
